Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex BareMetal
    • All guides
    • Overview
    • Integrating with other Yandex Cloud services
      • Overview
      • Stock server configurations
      • Custom server configuration
      • On-request server configuration
      • Overview
      • Public network
      • Private network
      • DHCP
      • MC-LAG
      • Restrictions in BareMetal networks
      • Overview
      • Images
      • Access management
      • Additional server settings
      • Management console
        • API authentication
          • Overview
            • Overview
            • Get
            • List
      • Monitoring metrics
    • Quotas and limits
  • Pricing policy
  • FAQ

In this article:

  • HTTP request
  • Query parameters
  • Response
  • StandardImage
  1. Concepts
  2. Setup and management
  3. API reference
  4. REST
  5. StandardImage
  6. List

BareMetal API, REST: StandardImage.List

Written by
Yandex Cloud
Updated at April 21, 2026
View in Markdown
  • HTTP request
  • Query parameters
  • Response
  • StandardImage

Retrieves the list of Image resources in the specified folder. Pass the "baremetal-standard-images" folder to get general images.

HTTP requestHTTP request

GET https://baremetal.api.cloud.yandex.net/baremetal/v1alpha/standardImages

Query parametersQuery parameters

Field

Description

pageSize

string (int64)

The maximum number of results per page to return. If the number of available
results is greater than page_size,
the service returns a ListStandardImagesResponse.nextPageToken
that can be used to get the next page of results in subsequent list requests.
Default value is 20.

The maximum value is 1000.

pageToken

string

Page token. To get the next page of results, set page_token to the
ListStandardImagesResponse.nextPageToken returned by a previous list request.

orderBy

string

By which column the listing should be ordered and in which direction,
format is "createdAt desc". "id asc" if omitted.
Supported fields: ["id", "name"].
Both snake_case and camelCase are supported for fields.

filter

string

A filter expression that filters resources listed in the response.
The expression consists of one or more conditions united by AND operator: <condition1> [AND <condition2> [<...> AND <conditionN>]].
Each condition has the form <field> <operator> <value>, where:

  1. <field> is the field name. Currently you can use filtering only on the limited number of fields.
  2. <operator> is a logical operator, one of = (equal), : (substring).
  3. <value> represents a value.
    String values should be written in double (") or single (') quotes. C-style escape sequences are supported (\" turns to ", \' to ', \\ to backslash).
    Example: "key1='value' AND key2='value'"
    Supported operators: ["AND"].
    Supported fields: ["id", "name"].
    Both snake_case and camelCase are supported for fields.

folderId

string

ID of the folder to return a StandardImage resource for.
To get the folder ID, use a yandex.cloud.resourcemanager.v1.FolderService.List request. Pass the "baremetal-standard-images" folder to get general images.

The maximum string length in characters is 50. Value must match the regular expression [a-z][a-z0-9.-]*.

ResponseResponse

HTTP Code: 200 - OK

{
  "standardImages": [
    {
      "id": "string",
      "name": "string",
      "folderId": "string"
    }
  ],
  "nextPageToken": "string"
}

Field

Description

standardImages[]

StandardImage

List of StandardImage resources.

nextPageToken

string

Token for getting the next page of the list. If the number of results is greater than
ListStandardImagesRequest.pageSize, use next_page_token as the value
for the ListStandardImagesRequest.pageToken parameter in the next list request.
Each subsequent page will have its own next_page_token to continue paging through the results.

StandardImageStandardImage

A Standard Image resource.

Field

Description

id

string

ID of the standard image.

name

string

Name of the standard image.

folderId

string

Folder of standard image.

Was the article helpful?

Previous
Get
Next
Overview
© 2026 Direct Cursus Technology L.L.C.